halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
hal::Hdf5DnaArray Class Reference

`#include <hdf5DnaArray.h>`

List of all members.

## Public Member Functions
| Hdf5DnaArray ()
virtual | ~Hdf5DnaArray ()
void | create (H5File *file, const std::string &path, hsize_t size, const H5::DSetCreatPropList &cparms=H5::DSetCreatPropList::DEFAULT)
void | open (H5File *file, const std::string &path)
void | write ()
Hdf5DnaIterator | getDnaIterator (hsize_t offset=0)
Hdf5DnaConstIterator | getDnaConstIterator (hsize_t offset=0)
hsize_t | size ()
## Protected Attributes
RawH5ExternalArray | _array

## Detailed Description

Wraps the RawH5ExternalArray with interface tailored to storing and accessing only DNA characters

## Constructor & Destructor Documentation

hal::Hdf5DnaArray::Hdf5DnaArray | ( |  | ) |

Constructor

virtual hal::Hdf5DnaArray::~Hdf5DnaArray | ( |  | ) | `[virtual]`

Destructor

## Member Function Documentation

void hal::Hdf5DnaArray::create | ( | H5File * | file,
|  | const std::string & | path,
|  | hsize_t | size,
|  | const H5::DSetCreatPropList & | cparms = `H5::DSetCreatPropList::DEFAULT`
| ) |  |

Create a new array (overloads method in parent)

Parameters:

  file | HDF5 file in which to add new array dataset
  path | location of new array in file
  size | Fixed length of the new array
  cparams | Creation parameters for new array (chunking, zipping)

Hdf5DnaConstIterator hal::Hdf5DnaArray::getDnaConstIterator | ( | hsize_t | offset = `0` | ) |

Get read-only iterator

Parameters:

  offset | position of iterator in array

hal::Hdf5DnaArray::getDnaIterator | ( | hsize_t | offset = `0` | ) | `[inline]`

Get read/write iterator

Parameters:

  offset | position of iterator in array

void hal::Hdf5DnaArray::open | ( | H5File * | file,
|  | const std::string & | path
| ) |  |

Open an existing array

Parameters:

  file | HDF5 file containing array to open
  path | location of array in file

hsize_t hal::Hdf5DnaArray::size | ( |  | ) |

Get size of array

void hal::Hdf5DnaArray::write | ( |  | ) |

Write any unsaved buffer contents back to the file

The documentation for this class was generated from the following file:

- hdf5_impl/hdf5DnaArray.h

All Classes Namespaces Functions Variables Friends